org.jfree.report.flow.layoutprocessor

## Class LayoutControllerUtil

- java.lang.Object
- - org.jfree.report.flow.layoutprocessor.LayoutControllerUtil

-     public class LayoutControllerUtil
      extends java.lang.Object

  Creation-Date: 24.11.2006, 15:01:22
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EmptyReportData` | `EMPTY_REPORT_DATA`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.jfree.layouting.util.AttributeMap` | `createEmptyMap(java.lang.String namespace, java.lang.String tagName)`
    `static java.lang.Object` | `evaluateExpression(FlowController flowController, java.lang.Object declaringParent, Expression expression)`
    `static int` | `findNodeInParent(Section parentSection, Node n)`
    `static LayoutExpressionRuntime` | `getExpressionRuntime(FlowController fc, java.lang.Object node)`
    `static StaticExpressionRuntimeData` | `getStaticExpressionRuntime(FlowController fc, java.lang.Object declaringParent)`
    `static boolean` | `isGroupFinished(FlowController fc, Node node)` Checks, whether the current group should continue.
    `static java.lang.Object` | `performPrecompute(int expressionPosition, PrecomputeNodeKey nodeKey, LayoutController layoutController, FlowController flowController)`
    `static org.jfree.layouting.util.AttributeMap` | `processAttributes(Element node, ReportTarget target, ExpressionRuntime runtime)`
    `static FlowController` | `processFlowOperations(FlowController fc, FlowControlOperation[] ops)`
    `static LayoutController` | `skipInvisibleElement(LayoutController layoutController)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EMPTY_REPORT_DATA

          public static final EmptyReportData EMPTY_REPORT_DATA

  - ### Method Detail

    - #### findNodeInParent

          public static int findNodeInParent(Section parentSection,
                                             Node n)

    - #### getStaticExpressionRuntime

          public static StaticExpressionRuntimeData getStaticExpressionRuntime(FlowController fc,
                                                                               java.lang.Object declaringParent)

    - #### getExpressionRuntime

          public static LayoutExpressionRuntime getExpressionRuntime(FlowController fc,
                                                                     java.lang.Object node)

    - #### processFlowOperations

          public static FlowController processFlowOperations(FlowController fc,
                                                             FlowControlOperation[] ops)
                                                      throws DataSourceException

      Throws:
        `DataSourceException`

    - #### isGroupFinished

          public static boolean isGroupFinished(FlowController fc,
                                                Node node)
                                         throws DataSourceException

      Checks, whether the current group should continue. If there is no group, we assume that we should continue. (This emulates the control-break-algorithm's default behaviour if testing an empty set of arguments.)
      Parameters:
        `fc` - the current flow controller holding the data
        `node` - the current node.
      Returns:
        true, if the group is finished and we should stop reiterating it, false if the group is not finished and we can start iterating it again.
      Throws:
        `DataSourceException`

    - #### processAttributes

          public static org.jfree.layouting.util.AttributeMap processAttributes(Element node,
                                                                                ReportTarget target,
                                                                                ExpressionRuntime runtime)
                                                                         throws DataSourceException

      Throws:
        `DataSourceException`

    - #### createEmptyMap

          public static org.jfree.layouting.util.AttributeMap createEmptyMap(java.lang.String namespace,
                                                                             java.lang.String tagName)

    - #### performPrecompute

          public static java.lang.Object performPrecompute(int expressionPosition,
                                                           PrecomputeNodeKey nodeKey,
                                                           LayoutController layoutController,
                                                           FlowController flowController)
                                                    throws ReportProcessingException,
                                                           ReportDataFactoryException,
                                                           DataSourceException

      Throws:
        `ReportProcessingException`
        `ReportDataFactoryException`
        `DataSourceException`

    - #### skipInvisibleElement

          public static LayoutController skipInvisibleElement(LayoutController layoutController)
                                                       throws ReportProcessingException,
                                                              ReportDataFactoryException,
                                                              DataSourceException

      Throws:
        `ReportProcessingException`
        `ReportDataFactoryException`
        `DataSourceException`

    - #### evaluateExpression

          public static java.lang.Object evaluateExpression(FlowController flowController,
                                                            java.lang.Object declaringParent,
                                                            Expression expression)
                                                     throws DataSourceException

      Throws:
        `DataSourceException`